Data - Retrieve SLA Data
Pobiera dane umowy SLA dla podanego żądania umowy SLA
POST http://<Servername>/OperationsManager/data/sla
Treść żądania
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Nazwa | Wymagane | Typ | Opis |
|---|---|---|---|
| duration | True |
string |
czas trwania |
| id | True |
string |
id |
| managementGroupId | True |
string |
Identyfikator grupy zarządzania |
| value | True |
integer |
wartość |
Odpowiedzi
| Nazwa | Typ | Opis |
|---|---|---|
| 200 OK |
OK. Pomyślnie pobrano dane umowy SLA. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Przykłady
RetrieveSLAData
Przykładowe żądanie
POST http://<Servername>/OperationsManager/data/sla
{
"value": 0,
"duration": "10",
"id": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"managementGroupId": "47bc8393-fecb-9791-4b3d-fdca7cc8bc79"
}
Przykładowa odpowiedź
{
"name": "Application Service SLA",
"id": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"slaManagedEntityRowId": 141,
"slos": [
{
"id": "c67b6541-9a21-3745-bef3-b6542dd380a7",
"name": "Application Service SLO1",
"targetClassName": "Service"
}
]
}
Definicje
| Nazwa | Opis |
|---|---|
| SLARequest | |
| SLAResponse | |
| SLOResponse |
SLARequest
| Nazwa | Typ | Opis |
|---|---|---|
| duration |
string |
czas trwania |
| id |
string |
id |
| managementGroupId |
string |
Identyfikator grupy zarządzania |
| value |
integer |
wartość |
SLAResponse
| Nazwa | Typ | Opis |
|---|---|---|
| id |
string |
Identyfikator umowy SLA |
| name |
string |
Nazwa umowy SLA |
| slaManagedEntityRowId |
integer |
Identyfikator wiersza jednostki zarządzanej przez umowę SLA |
| slos |
Dane SLO |
SLOResponse
| Nazwa | Typ | Opis |
|---|---|---|
| id |
string |
Identyfikator SLO |
| name |
string |
Nazwa SLO |
| targetClassName |
string |
Nazwa klasy docelowej SLO |